-- Errata 1

--Update XbrlTableCode for table M 02.00.a in TableVersion
update TableVersion set XbrlTableCode = "M_02.00.a" where TableVID = 2028;

--Update TaxonomyLabel for FINREP3.0-Ind
Update Taxonomy set TaxonomyLabel ='FINancial REPorting 3.0.0 Individual (DPM 3.0)' where TaxonomyID = 66;

--Update CodeDomainID for Metric 9208
update Metric set CodeDomainID = 130 where MetricID = 9208;


-- Errata 2
Update Metric set CodeSubdomainID = Null where MetricID = 4357;


-- Errata 3

--change metric type from monetary to percentage 
UPDATE Metric SET Metric.DataTypeID = 5
WHERE (((Metric.MetricID)=8730)) OR (((Metric.MetricID)=8731));

-- update code from mi700 to pi700
UPDATE Member SET Member.MemberCode = "pi700"
WHERE (((Member.MemberID)=8730));

-- update code from mi701 to pi701
UPDATE Member SET Member.MemberCode = "pi701"
WHERE (((Member.MemberID)=8731));

-- Amend not consistent restriction hierarchy 
Update OrdinateCategorisation set RestrictionID = 32 where OrdinateID in (70491,72410,72415,72430,72457);

Select RestrictionID from OrdinateCategorisation where OrdinateID in (70491,72410,72415,72430,72457);
 
--chnge domain type from integer to string for the typed dimension SIC used in C 14.00 and C 14.01 
Update Dimension set DomainID = 610 where DimensionID = 486;


---update some wrong ToDate value
update Taxonomy set Taxonomy.ToDate = #29/06/2021#  where Taxonomy.ToDate = #29/05/2021#;
update [Module] set [Module].ToDate = #29/06/2021#  where [Module].ToDate = #29/05/2021#;
update DataPointVersion set DataPointVersion.ToDate = #29/06/2021#  where DataPointVersion.ToDate = #29/05/2021#;
update TableVersion set TableVersion.ToDate = #29/06/2021#  where TableVersion.ToDate = #29/05/2021#;
